namespace Passer.LinearAlgebra {

    public class SwingTwist {
        public Direction swing;
        public float twist;

        public static readonly SwingTwist zero = new(0, 0, 0);

        public SwingTwist(Direction swing, float twist) {
            this.swing = swing;
            this.twist = twist;
        }
        public SwingTwist(float horizontalSwing, float verticalSwing, float twist) {
            this.swing = new Direction(horizontalSwing, verticalSwing);
            this.swing.Normalize();
            this.twist = twist;
        }
    }

}